import javax.swing.*;
import javax.swing.ImageIcon.*;
import javax.swing.JPanel.*;
import javax.swing.JOptionPane;
import java.awt.*;
import java.awt.event.*;
import java.lang.*;
import javax.swing.border.*;

public class Default extends JFrame implements ActionListener
{
		 JMenuBar menuBar=new JMenuBar();
		 JMenuItem opItem,saveItem,exitItem,lookItem,animItem;
         JCheckBoxMenuItem toolBarItem;
		 JRadioButtonMenuItem windowItem,metalItem,motifItem;	
	 JButton exitButton,openButton,saveButton,animButton,loginButton;
		
	 String lnf = null;		
	boolean flag=true;
	 JToolBar toolBar=new JToolBar(); 
	
//constructor
		public Default(String title)
			{
 			setTitle(title);
			
			setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
 			Toolkit theKit=getToolkit();
			Dimension wndSize=theKit.getScreenSize();
			setBounds(wndSize.width/4,wndSize.height/4,wndSize.width/2,wndSize.height/2);
	    setJMenuBar(menuBar);
			
			

			
			
			JMenu fileMenu=new JMenu("File");
			fileMenu.setMnemonic('F');
			JMenu viewMenu=new JMenu("View");
			viewMenu.setMnemonic('V');
			JMenu guiMenu=new JMenu("About Me");
			guiMenu.setMnemonic('G');
			opItem=fileMenu.add("OPEN");
		opItem.setAccelerator(KeyStroke.getKeyStroke('O',Event.CTRL_MASK));
		saveItem=fileMenu.add("SAVE");
		saveItem.setAccelerator(KeyStroke.getKeyStroke('S',Event.CTRL_MASK));
		fileMenu.addSeparator();
		exitItem=fileMenu.add("EXIT");
		exitItem.setAccelerator(KeyStroke.getKeyStroke('E',Event.CTRL_MASK));
		menuBar.add(fileMenu);
    viewMenu.add(toolBarItem=new JCheckBoxMenuItem("Tool Bar",flag));
		viewMenu.addSeparator();
		JMenu lookItem=new JMenu("Look And Feel");
		lookItem.add(windowItem=new JRadioButtonMenuItem("Window",false));
		lookItem.add(metalItem=new JRadioButtonMenuItem("Metal",false));
		lookItem.add(motifItem=new JRadioButtonMenuItem("Motif",false));
		ButtonGroup types=new ButtonGroup();
		types.add(windowItem);
		types.add(motifItem);
		types.add(metalItem);
		menuBar.add(viewMenu);
		viewMenu.add(lookItem);
		animItem=guiMenu.add("About Me");
		animItem.setAccelerator(KeyStroke.getKeyStroke('A',Event.CTRL_MASK));
		menuBar.add(guiMenu);
	  exitButton=new JButton(new ImageIcon("pic/Exit.gif"));
	  openButton=new JButton( new ImageIcon("pic/Open.gif"));
	  saveButton=new JButton(new ImageIcon("pic/Save.gif"));
	  animButton=new JButton("About Me");
	  loginButton=new JButton("LOGIN HERE");
	 exitButton.setBorder(BorderFactory.createRaisedBevelBorder());
	 openButton.setBorder(BorderFactory.createRaisedBevelBorder());
	 saveButton.setBorder(BorderFactory.createRaisedBevelBorder());
	 animButton.setBorder(BorderFactory.createRaisedBevelBorder());
	  loginButton.setBorder(BorderFactory.createRaisedBevelBorder());
	   exitButton.setToolTipText("Exit");
     openButton.setToolTipText("Open");
     saveButton.setToolTipText("Save");
   animButton.setToolTipText("Animation of Font");
	loginButton.setToolTipText("login here");
	 
	toolBar.add(openButton);
	 toolBar.add(saveButton);
	 toolBar.add(exitButton);
	 toolBar.addSeparator();
 	 toolBar.add(animButton);
 	 toolBar.add(loginButton);
	 toolBar.setBorder(BorderFactory.createCompoundBorder(BorderFactory.createLineBorder(Color.darkGray),BorderFactory.createEmptyBorder(2,2,4,2)));
	 toolBar.setFloatable(true);
	 getContentPane().add(toolBar,BorderLayout.NORTH);
	 
	
	
  
   

	 
	 
	 
	 

	setVisible(true);		
      exitItem.addActionListener(this);
	windowItem.addActionListener(this);	
	metalItem.addActionListener(this);
	motifItem.addActionListener(this);
	exitButton.addActionListener(this);
	toolBarItem.addActionListener(this);	
	opItem.addActionListener(this);
	saveItem.addActionListener(this);
	animItem.addActionListener(this);
	openButton.addActionListener(this);
	saveButton.addActionListener(this);
	animButton.addActionListener(this);
	loginButton.addActionListener(this);
				}//constructor


public void actionPerformed(ActionEvent ae)
	 
	 
	 {  
	 
	      Object source=ae.getSource();
	 
 
		if (ae.getActionCommand().equals("EXIT")||source==exitButton)
		   {
	     System.exit(0);
		   }
		
		else if(ae.getActionCommand().equals("About Me")||source==animButton)
		{
		Animation a=new Animation();
		Thread b=new Thread(a);
		b.start();
		a.repaint();

		}
		
		else if (ae.getActionCommand().equals("Window"))
		{
			lnf = "com.sun.java.swing.plaf.windows.WindowsLookAndFeel"; 						
			setLookAndFeel();
		}
		
		else if (ae.getActionCommand().equals("Metal"))
		{
			lnf = "javax.swing.plaf.metal.MetalLookAndFeel"; 
			setLookAndFeel();
		}
		
		else if (ae.getActionCommand().equals("Motif"))
		{
			lnf = "com.sun.java.swing.plaf.motif.MotifLookAndFeel"; 
			setLookAndFeel();
		}		

		else if(ae.getActionCommand().equals("Tool Bar"))
		{
			
			if (flag==true)
			{
				flag=false;
			
			toolBar.setVisible(flag);
			}
			else if(flag==false)
			{
			flag=true;
			toolBar.setVisible(flag);				
			}
		}
         
		else if (ae.getActionCommand().equals("SAVE")||source==saveButton)
		   {
	     JOptionPane.showMessageDialog(null,"Save button is clicked,plz click ok to return to Main Menu");
		   }
         else if (ae.getActionCommand().equals("OPEN")||source==openButton)
		   {
	     JOptionPane.showMessageDialog(null,"Open button is clicked,plz Click ok to return to Main Menu");
		   }
		   else if (ae.getActionCommand().equals("LOGIN HERE")||source==loginButton)
		   {
		 
		 
		 
		 
		 
		 
		 
		 
		 
		 
		 
	 UserLogin bWindow=new UserLogin("EMPLOYE INFORMATION AND PAY ROLL SYSTEM");
	// bWindow.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  /*String user=JOptionPane.showInputDialog("Enter USER name");
		  		if(user.equals("admin"))
		  		{ 
		  	String password="";
		  	JPasswordField passwordInput=new JPasswordField(password);
		  	String pass=JOptionPane.showInputDialog("Enter Password");
		   		if(pass.equals("yaseen"))
		   					{
		  // JOptionPane.showMessageDialog(this,"Invalid Password & Login","WRNING",JOptionPane.INFORMATION_MESSAGE);
		    //put other class object here
		MainMenu h=new MainMenu();

		   
						    }	   					
	    		 }
		   		else 
		   		JOptionPane.showMessageDialog(this,"Invalid Login","WARNING",JOptionPane.INFORMATION_MESSAGE);*/			
	 }
		  
		  
		  
		  
		  
		   
	}//actionperformed

	public void setLookAndFeel()
	{
		try
		{
			UIManager.setLookAndFeel(lnf);
			SwingUtilities.updateComponentTreeUI(this);
		}
		catch(Exception ex)
		{ 
			JOptionPane.showMessageDialog(null,""+ex);
		}
	}//looknfeel
	

//static Default aWindow;	
 
public static void main(String[]args)
{
Default aWindow=new Default("Employee Information And PayRoll System");
}

}//Default end