import java.sql.*;
import javax.swing.table.*;
import java.util.*;

class ResultModel extends AbstractTableModel
{
String [] columnNames=new String[0];
Vector dataRows=new Vector();
public void setResultset(ResultSet results)
{
	try
	{
		ResultSetMetaData metadata=results.getMetaData();
		int columns=metadata.getColumnCount();
		columnNames=new String[columns];
		
		for(int i=0;i<columns;i++)
		columnNames[i]=metadata.getColumnLabel(i+1);
		dataRows=new Vector();
		String [] rowData;
		while(results.next())
		{
		rowData=new String[columns];
		for(int i=0;i<columns;i++)
		rowData[i]=results.getString(i+1);
		dataRows.addElement(rowData);
		}
		fireTableChanged(null);
		}
		catch(SQLException sqle)
		{
		System.err.println(sqle);
		}
		


}
public int getColumnCount()
{
return columnNames.length;

}
public int getRowCount()
{
if(dataRows==null)
return 0;
else
return dataRows.size();
}
public Object getValueAt(int row,int column)
{
return((String[])(dataRows.elementAt(row)))[column];}
public String getColumnName(int column)
{
return columnNames[column]==null ? "No Name" :columnNames[column];
}


			}